---
title: A simple demo of a live code sample
slug: MDN/Structures/Live_samples/Simple_live_sample_demo
tags:
  - Example
  - MDN Meta
  - Structures
---
<div>{{MDNSidebar}}</div>

<h2 id="The_example">The example</h2>

<p id="Simple_example_of_a_live_demo">This is a very simple example showing you how to do a live demo in MDN. For more information, see <a href="/en-US/docs/MDN/Contribute/Structures/Live_samples">Live samples</a>.</p>

<pre class="brush: html notranslate">&lt;form&gt;
  &lt;label&gt;Try me&lt;input type="text" name="name"&gt;&lt;/label&gt;
  &lt;input type="submit" value="go"&gt;
&lt;/form&gt;</pre>

<pre class="brush: css notranslate">form {
  border-radius: 10px;
  background: powderblue;
}</pre>

<pre class="brush: js notranslate">var f = document.querySelector('form');

f.addEventListener('submit', function(ev) {
  ev.preventDefault();
  document.querySelectorAll('input')[1].value = 'sending';
}, false);</pre>

<p>{{ EmbedLiveSample('The_example', '', '', '') }}</p>

<div class="notecard note">
<p>Note: On the localized pages, the value of the first parameter should be equal to the ID of the header that contains the sample.</p>
</div>
